## gov.usgs.earthquake.event
Class ISO8601

    java.lang.Object
      gov.usgs.earthquake.event.ISO8601

    public class ISO8601

extends java.lang.Object

Convert between java.util.Date and ISO8601 string.

Author:
  jmfee

Constructor Summary
`ISO8601()`

Method Summary
`static java.lang.String` `format(java.util.Date date)` Convenience method to format a Date as an XML DateTime String.
`static java.util.Date` `parse(java.lang.String toParse)` Convenience method to parse an XML Date Time into a Date.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISO8601

    public ISO8601()

Method Detail

### format

    public static java.lang.String format(java.util.Date date)

  Convenience method to format a Date as an XML DateTime String.

  Parameters:
    `date` - the date to format.
  Returns:
    the normalized XML representation as a string.

### parse

    public static java.util.Date parse(java.lang.String toParse)

  Convenience method to parse an XML Date Time into a Date. Only useful when the XML Date Time is within the Date object time range.

  Parameters:
    `toParse` - the xml date time string to parse.
  Returns:
    the parsed Date object.